#ifndef HELP_WINDOW_H
#define HELP_WINDOW_H

#include <QWidget>
#include <QTextBrowser>

class QPushButton;
class QHelpEngineCore;


class HelpBrowser : public QTextBrowser
{
    Q_OBJECT
    Q_DISABLE_COPY(HelpBrowser);

public:
    explicit HelpBrowser(QWidget *parent = 0);
    virtual QVariant loadResource(int type, const QUrl &name);

private:
    QHelpEngineCore *helpEngine;
};


class HelpWindow: public QWidget
{
    Q_OBJECT
public:
    explicit HelpWindow(QWidget *parent=0);

private:
    QPushButton *m_ppbBackward;
    QPushButton *m_ppbForward;
    QPushButton *m_ppbHome;

    HelpBrowser *m_ptxbHelp;
};

#endif // HELP_WINDOW_H
